[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#552764: no-copyright-file

Package: libgcj-bc
Version: 4.3.3-9+nmu1
Severity: serious
User: lintian-maint@debian.org
Usertags: no-copyright-file

Justification: Each binary package has to include a plain file

Refer to Debian Policy Manual section 12.5 (Copyright information) for details. 

,----[ 12.5 Copyright information ]
| Every package must be accompanied by a verbatim copy of its copyright and
| distribution license in the file /usr/share/doc/package/copyright. This file
| must neither be compressed nor be a symbolic link.
| In addition, the copyright file must say where the upstream sources (if any)
| were obtained. It should name the original authors of the package and the Debian
| maintainer(s) who were involved with its creation.
| Packages in the contrib or non-free archive areas should state in the copyright
| file that the package is not part of the Debian GNU/Linux distribution and
| briefly explain why.
| A copy of the file which will be installed in /usr/share/doc/package/copyright
| should be in debian/copyright in the source package.
| /usr/share/doc/package may be a symbolic link to another directory in
| /usr/share/doc only if the two packages both come from the same source and the
| first package Depends on the second. These rules are important because
| copyrights must be extractable by mechanical means.
| Packages distributed under the UCB BSD license, the Apache license (version
| 2.0), the Artistic license, the GNU GPL (version 2 or 3), the GNU LGPL (versions
| 2, 2.1, or 3), and the GNU FDL (versions 1.2 or 1.3) should refer to the
| corresponding files under /usr/share/common-licenses,[92] rather than quoting
| them in the copyright file.
| You should not use the copyright file as a general README file. If your package
| has such a file it should be installed in /usr/share/doc/package/README or
| README.Debian or some other appropriate place.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgcj-bc depends on:
ii  libgcj-common             1:4.4.0-7+nmu1 Java runtime library (common files
ii  libgcj9-0                 4.3.4-4        Java runtime library for use with 

libgcj-bc recommends no packages.

libgcj-bc suggests no packages.

-- no debconf information

Reply to: